Subject: Re: bug#32120: 26.1; In python.el tab-width should default to 4

From: Glenn Morris <[email-masked]>
Date: Wed, 11 Jul 2018 13:19:26 -0400

Carlos Pita wrote:

> When you do rigid indentation, say C-x Tab and then S-Right, you get
> 8-spaces tab steps with that configuration.

Right. What is your justification for wanting this to be 4?
Python generally discourages tabs, but when they are present, seems to
follow the historical convention mapping them to 8 spaces. Eg

https://docs.python.org/3/reference/lexical_analysis.html#indentation

    Tabs are replaced (from left to right) by one to eight spaces such
    that the total number of characters up to and including the
    replacement is a multiple of eight (this is intended to be the same
    rule as used by Unix).